Bug 1699343 - [V2V][Regression] Migration plan CSV import validation not working if file contains empty/archived/orphan/invalid VM name
Summary: [V2V][Regression] Migration plan CSV import validation not working if file co...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.3
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.11.0
Assignee: Fabien Dupont
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
Depends On:
Blocks: 1702083
TreeView+ depends on / blocked
 
Reported: 2019-04-12 13:25 UTC by Yadnyawalk Tale
Modified: 2019-05-21 09:51 UTC (History)
4 users (show)

Fixed In Version: 5.11.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1702083 (view as bug list)
Environment:
Last Closed:
Category: Bug
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)
waiting_for_validation.png (39.19 KB, image/png)
2019-04-12 13:48 UTC, Yadnyawalk Tale
no flags Details

Description Yadnyawalk Tale 2019-04-12 13:25:34 UTC
Description of problem:
Migration plan CSV import validation not working if file contain empty/archived/orphan/invalid vm


Version-Release number of selected component (if applicable):
5.10.3.2.20190410215422_59d5d16 


How reproducible:
100%


Steps to Reproduce:
1.
2.
3.


Actual results:
Earlier when file had empty/archived/orphan/invalid vm, that file was getting validated and we were getting disable checkbox in-front of that vm. That was helpful to understand why vm is ignored. Currently we are not able to proceed to next tab when we have mentioned type of vm.


Expected results:
CSV import should work as earlier 


Additional info:

Comment 4 Yadnyawalk Tale 2019-04-12 13:48:47 UTC
Created attachment 1554789 [details]
waiting_for_validation.png

Comment 6 Mike Turley 2019-04-16 13:30:36 UTC
YTale, thanks for catching this. When I added the VMWare Folder View feature (https://bugzilla.redhat.com/show_bug.cgi?id=1593839) I wrote code that assumes VM objects from validation/discovery will always have a defined "path" property, but invalid CSV rows do not. The tests for that code did not include invalid CSV rows.

I've fixed the regression in this PR: https://github.com/ManageIQ/manageiq-v2v/pull/932

The PR also adds a better unit test for this case.

Comment 8 Yadnyawalk Tale 2019-05-21 09:51:05 UTC
Verified on: 5.11.0.4


Note You need to log in before you can comment on or make changes to this bug.